<template>
    <ul class="flex items-center gap-1">
        <li>
            <router-link
                :to="{ name: nameRouteHome, params: {} }"
                class="flex items-center gap-1"
            >
                <HomeIcon />
                <span>{{ textRouteHome }}</span>
            </router-link>
        </li>
        <slot />
    </ul>
</template>

<script>
import { HomeIcon } from "@heroicons/vue/outline";

export default {
    components: {
        HomeIcon
    },
    props: {
        nameRouteHome: {
            type: String,
            required: true
        },
        textRouteHome: {
            type: String,
            required: true
        }
    }
};
</script>

<style lang="scss" scoped>
a {
    @apply text-main-color;
    svg {
        @apply text-main-color;
    }
}
</style>
